org.wso2.carbon.proxyadmin.stub.types.carbon

## Class ProxyServicePolicyInfo.Factory

- java.lang.Object
- - org.wso2.carbon.proxyadmin.stub.types.carbon.ProxyServicePolicyInfo.Factory

- Enclosing class:
    ProxyServicePolicyInfo

      public static class ProxyServicePolicyInfo.Factory
      extends Object

  Factory class that keeps the parse method

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Factory()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ProxyServicePolicyInfo` | `parse(XMLStreamReader reader)` static method to create the object Precondition: If this object is an element, the current or next start element starts this object and any intervening reader events are ignorable If this object is not an element, it is a complex type and the reader is at the event just after the outer start element Postcondition: If this object is an element, the reader is positioned at its end element If this object is a complex type, the reader is positioned at the end element of its outer element

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Factory

          public Factory()

  - ### Method Detail

    - #### parse

          public static ProxyServicePolicyInfo parse(XMLStreamReader reader)
                                              throws Exception

      static method to create the object Precondition: If this object is an element, the current or next start element starts this object and any intervening reader events are ignorable If this object is not an element, it is a complex type and the reader is at the event just after the outer start element Postcondition: If this object is an element, the reader is positioned at its end element If this object is a complex type, the reader is positioned at the end element of its outer element
      Throws:
        `Exception`

Copyright © 2018 WSO2. All rights reserved.